Name:           freeverb3
Version:        3.2.1
Release:        1%{?dist}
Summary:        A signal processing library

License:        GPLv2+
URL:            https://www.nongnu.org/freeverb3
Source0:        https://download.savannah.nongnu.org/releases/freeverb3/freeverb3-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  gcc gcc-c++
BuildRequires:  fftw-devel

%description
Freeverb3 is a signal processing library. This library includes many types of
audio processing effects and signal generators. The linear feedback shift
register (LFSR) maximum length sequence (MLS) generator, multiple types of
high quality mono+stereo reverb effects, an multi slot impulse response
processor, multiband hardknee+softknee compressor and limiter, a stereo
enhancer, a limiter and a lot of types of infinite impulse respose (IIR) and
finite impulse response (FIR) filters are available.

%package        devel
Summary:        Development files for %{name}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%configure
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%license COPYING
%doc README AUTHORS ChangeLog NEWS
%{_libdir}/*.so.*

%files devel
%license COPYING
%doc README AUTHORS ChangeLog NEWS
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Jun 18 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com> - 3.2.1-1
- Initial build
